Skip to main content
`Ctrl`+`K`

# is_kl_connected

is_kl_connected(G, k, l, low_memory=False)

  Returns True if and only if `G` is locally `(k, l)`-connected.

  A graph is locally `(k, l)`-connected if for each edge `(u, v)` in the graph there are at least `l` edge-disjoint paths of length at most `k` joining `u` to `v`.

  Parameters:
    G NetworkX graph

      The graph to test for local `(k, l)`-connectedness.

    k integer

      The maximum length of paths to consider. A higher number means a looser connectivity requirement.

    l integer

      The number of edge-disjoint paths. A higher number means a stricter connectivity requirement.

    low_memory bool

      If this is True, this function uses an algorithm that uses slightly more time but less memory.

  Returns:
    bool

      Whether the graph is locally `(k, l)`-connected subgraph.

  See also

  `kl_connected_subgraph`

  References

  [1]

  Chung, Fan and Linyuan Lu. “The Small World Phenomenon in Hybrid Power Law Graphs.” Complex Networks. Springer Berlin Heidelberg, 2004. 89–104.